Bug 69811 - EDITING: Undo Heading Style Change with Outline Numbering Sets Incorrect Style
Summary: EDITING: Undo Heading Style Change with Outline Numbering Sets Incorrect Style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chapter-Numbering Undo-Redo
  Show dependency treegraph
 
Reported: 2013-09-25 13:36 UTC by a2313714
Modified: 2017-10-17 21:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description a2313714 2013-09-25 13:36:25 UTC
Problem description: 

If you have outline numbering for headings enabled and you change the heading level (e.g. 3 -> 4) and then hit undo, the line reverts to Heading 1 style instead of the previous style.

Steps to reproduce:
1. Open a new document
2. Tools > Outline Numbering
3. Set levels 1, 2, 3 and 4 to 'Number' style (so Heading 4 would be 1.1.1.1)
4. Set the current line to 'Heading 3' style
5. Change the current line to 'Heading 4' style
6. Hit undo (Ctrl+Z)

Current behavior:

The heading becomes '1' (goes to Heading 1 style)

Expected behavior:

The heading becomes '1.1.1' (goes back to Heading 3 style)
              
Operating System: Windows 7
Version: 4.1.1.2 release
Comment 1 Thomas van der Meulen 2013-09-27 15:15:00 UTC
Thank you for your bug report, 
I can reproduce this bug running: 
Version: 4.1.1.2
Build ID: 410m0(Build:2)
OS: Ubuntu 13.04 64-bits
Comment 2 Matthew Francis 2015-01-21 07:40:02 UTC
This occurs all the way back to 3.3.0

Setting Version -> Inherited from OOo
Comment 3 QA Administrators 2016-02-21 08:35:46 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 15:21:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306